/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn1}", "click", function(sym, e) {
         sym.getSymbol("btn1").play();
         sym.getSymbol("btn2").stop(0);
         sym.getSymbol("btn3").stop(0);
         sym.getSymbol("btn4").stop(0);
         sym.getSymbol("btn5").stop(0);
         
         
         // Mostrar un elemento 
         sym.$("img1").fadeIn("slow");
         sym.$("img2").hide();
         sym.$("img3").hide();
         sym.$("img4").hide();
         sym.$("img5").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn2}", "click", function(sym, e) {
         sym.getSymbol("btn2").play();
         sym.getSymbol("btn1").stop(0);
         sym.getSymbol("btn3").stop(0);
         sym.getSymbol("btn4").stop(0);
         sym.getSymbol("btn5").stop(0);
         
         sym.$("img2").fadeIn("slow");
         sym.$("img1").hide();
         sym.$("img3").hide();
         sym.$("img4").hide();
         sym.$("img5").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn3}", "click", function(sym, e) {
         sym.getSymbol("btn3").play();
         sym.getSymbol("btn2").stop(0);
         sym.getSymbol("btn1").stop(0);
         sym.getSymbol("btn4").stop(0);
         sym.getSymbol("btn5").stop(0);
         
         sym.$("img3").fadeIn("slow");
         sym.$("img2").hide();
         sym.$("img1").hide();
         sym.$("img4").hide();
         sym.$("img5").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn4}", "click", function(sym, e) {
         sym.getSymbol("btn4").play();
         sym.getSymbol("btn2").stop(0);
         sym.getSymbol("btn3").stop(0);
         sym.getSymbol("btn1").stop(0);
         sym.getSymbol("btn5").stop(0);
         
         sym.$("img4").fadeIn("slow");
         sym.$("img2").hide();
         sym.$("img3").hide();
         sym.$("img1").hide();
         sym.$("img5").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn5}", "click", function(sym, e) {
         sym.getSymbol("btn5").play();
         sym.getSymbol("btn2").stop(0);
         sym.getSymbol("btn3").stop(0);
         sym.getSymbol("btn4").stop(0);
         sym.getSymbol("btn1").stop(0);
         
         sym.$("img5").fadeIn("slow");
         sym.$("img2").hide();
         sym.$("img3").hide();
         sym.$("img4").hide();
         sym.$("img1").hide();

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'bt_next'
   (function(symbolName) {   
   
      

      

      

      

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
      });
      //Edge binding end

      

   })("bt_next");
   //Edge symbol end:'bt_next'

   //=========================================================
   
   //Edge symbol: 'bt_back'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         

      });
      //Edge binding end

      

      

      

      

      

      

   })("bt_back");
   //Edge symbol end:'bt_back'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         //CAMBIAR ESTA OPCIÓN A PLAY SI SE DESEA INICIAR LA ANIMACIÓN O SI ES IMAGEN FIJA PONERLA EN STOP 
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================
   
   //Edge symbol: 'btn1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 33, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 67, function(sym, e) {
         sym.stop(0);

      });
      //Edge binding end

   })("btn1");
   //Edge symbol end:'btn1'

   //=========================================================
   
   //Edge symbol: 'btn1_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 33, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 67, function(sym, e) {
         sym.stop(0);

      });
      //Edge binding end

   })("btn2");
   //Edge symbol end:'btn2'

   //=========================================================
   
   //Edge symbol: 'btn1_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 33, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 67, function(sym, e) {
         sym.stop(0);

      });
      //Edge binding end

   })("btn3");
   //Edge symbol end:'btn3'

   //=========================================================
   
   //Edge symbol: 'btn1_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 33, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 67, function(sym, e) {
         sym.stop(0);

      });
      //Edge binding end

   })("btn4");
   //Edge symbol end:'btn4'

   //=========================================================
   
   //Edge symbol: 'btn4_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 33, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 67, function(sym, e) {
         sym.stop(0);

      });
      //Edge binding end

   })("btn5");
   //Edge symbol end:'btn5'

})(jQuery, AdobeEdge, "EDGE-5531445");